Bug Hunting Session
Bug 72152 - StartCenter does not respect page orientation of Calc spreadsheets in recent files list
Summary: StartCenter does not respect page orientation of Calc spreadsheets in recent ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.0.0 target:4.4.3
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2013-11-29 13:36 UTC by Gerry
Modified: 2015-06-07 03:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2013-11-29 13:36:27 UTC
The new StartCenter (LibreOffice 4.2Beta1) shows thumbnails of recently used files. If I edit a Writer document with landscape page orientation, the thumbnail correctly shows a landscape document. That's all fine.

Doing the same with Calc does not work. If you create a new Calc spreadsheet and select "Format"->"Page"->"Landscape", save it and close the document, the thumbnail in the StartCenter shows still a portrait format for this spreadsheet file.

System: Ubuntu 13.04, LibreOffice 4.2Beta1
Comment 1 Jacques Guilleron 2013-12-04 17:12:49 UTC
Hello,

I reproduce too and set it as enhancement.

Kind regards,

Jacques
Comment 2 retired 2013-12-18 09:55:26 UTC
Confirmed on OS X 10.9, LO Version: 4.3.0.0.alpha0+
Build ID: 4c539fac018dfd44cd8db52161a8cb930c627da7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2013-12-18_01:54:50
Comment 3 Pedro 2014-05-06 12:43:21 UTC
This bug still occurs on branch 4.3 under Windows XP Pro x86 en_US SP3

I disagree that this is an enhancement. If it works properly for all other ODF file formats but not for ODS then it is a bug.
Comment 4 Julien Nabet 2015-02-16 22:46:59 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 5 Julien Nabet 2015-02-16 22:56:56 UTC
Submitted a patch to review, see https://gerrit.libreoffice.org/#/c/14512/
Comment 6 Commit Notification 2015-03-24 12:56:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38c22ed2b8b8f3530b8a0fe5a23a329e8e511c76

Resolves tdf#72152: respect page orientation of Calc files in recent docs

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2015-03-24 18:03:11 UTC
Ok for not putting the patch on 4.3 branch but, at least, let's wait the patch pushed on 4.4 branch before putting it at FIXED.
Comment 8 Commit Notification 2015-03-26 18:53:29 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9dfad2baaf1f9c6d0933b2326cbf2ff522ae73d1&h=libreoffice-4-4

Resolves tdf#72152: respect page orientation of Calc files in recent docs

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.